package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 用户反馈的内容
 */
@TableName("xy_base_user_feedback")
@Data
public class BaseUserFeedback {

    @TableId(value = "id", type= IdType.ASSIGN_ID)
    private Long id;

    /**
     * 用户反馈的内容
     */
    private String content;

    /**
     * 用户的id
     */
    private Long baseUserId;

    /**
     * 用户的代理商id
     */
    private Long agentId;

    /**
     * 反馈类型，1：用户反馈，2-绘画模型反馈
     */
    private Integer feedbackType;

}
