package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.xyzc.common.mybatis.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 企业所有发音人列对象 xy_np_sound
 *
 * @author wyz
 * @date 2024-08-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("xy_np_music")
public class NpMusic extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 基础用户
     */
    private Long baseUserId;

    /**
     * 声音名称
     */
    private String musicName;

    /**
     * 声音介绍
     */
    private String musicPic;

    /**
     * 播放时长
     */
    private String musicPlayTime;

    /**
     * 音乐地址
     */
    private String musicUrl;

    /**
     * 	音乐类型
     */
    private String musicType;

    /**
     * 	音乐描述
     */
    private String musicDesc;



}
