package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.xyzc.common.mybatis.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 企业所有发音人列对象 xy_np_sound
 *
 * @author wyz
 * @date 2024-08-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("xy_np_sound")
public class NpSound extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 模板id
     */
    private Integer modelId;

//    /**
//     * 模特名称
//     */
//    private String rebotName;

//    /**
//     * 模特描述
//     */
//    private String rebotDesc;

//    /**
//     * 模特地址
//     */
//    private String coverUrl;

//    /**
//     * 性别1男 2女
//     */
//    private String gender;

//    /**
//     * 年龄
//     */
//    private Integer age;

//    /**
//     * 星座
//1:'白羊座', 2:'金牛座', 3:'双子座', 4:'巨蟹座', 5:'狮子座', 6:'处女座',
//7:'天秤座', 8:'天蝎座', 9:'射手座', 10:'摩羯座', 11:'水瓶座', 12:'双鱼座'
//     */
//    private String starSigns;

//    /**
//     * 声音ID
//     */
//    private Long soundId;

    /**
     * 声音名称
     */
    private String ttsName;

    /**
     * 声音介绍
     */
    private String ttsIntroduction;

    /**
     * 使用场景
     */
    private String ttsScenes;

    /**
     * 发言者编号
     */
    private String ttsSpeaker;

    /**
     * 	特色
     */
    private String ttsFeatures;

    /**
     * 声音地址
     */
    private String ttsAudition;

    /**
     * 图片地址
     */
    private String ttsCover;

    /**
     * 来源
     */
    private String ttsSource;

    /**
     * 支持的语言类型列表 cn-中文 en-英文
     */
    private String languages;

    /**
     * 是否免费
     */
    private String free;

    /**
     * 性别：2:女；1:男
     */
    private String sex;

    /**
     * 发言特点
     */
    private String ttsExtendJson;

    /**
     *
     */
    private Integer phonemeFlag;


}
