package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.xyzc.common.mybatis.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

@Data
@EqualsAndHashCode(callSuper = true)
@TableName("xy_np_video_draft")
public class NpVideoDraft extends BaseEntity {


    @Serial
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 用户草稿的模板
     */
    private String nodesJson;

    private Long baseUserId;

    // 操作的批次
    private Integer batch;

    // 0:基础模板，1:用户草稿模板；2:用户已生成草稿
    private Integer type;

}
