package com.xyzc.start.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xyzc.start.domain.NpSound;
import com.xyzc.start.domain.NpTemplate;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface NumPersonMapper extends BaseMapper<NpSound> {

        /**
         * 查询公司声音
         * @return
         */
        List<NpSound> queryCompanySound(Long baseUserId, Integer type, Integer start, Integer end);

        /**
         * 查询公共模特
         * @return
         */
        List<NpTemplate> queryCommonTemplate(Integer start, Integer end);
}
