package com.xyzc.start.service;

import com.alibaba.fastjson.JSONObject;
import com.xyzc.start.domain.*;

import java.util.List;

public interface INpQueryService {


    /**
     * 提交训练视频
     */
    public NpCommitTrain queryTrainVideoById(String trainId);

    List<NpSound> queryCompanySound(Integer type, Integer page, Integer size);

    /**
     * 查询共同模板
     * @return
     */
    List<NpTemplate> queryCommonTemplate(Integer page, Integer size);
    List<NpCommitTrain> queryTrainingModel(Integer page, Integer size);

    public List<NpCommitTrain> queryTrainVideo(Integer page, Integer size);

    /**
     * 查询音乐
     * @param npMusic
     */
    List<NpMusic> queryMusic(NpMusic npMusic);


//    List<NpText> queryNpText(NpText npText);


    public List<NpMaterial> queryMaterial(String rootId, Integer page, Integer size);
    /**
     * 请求硅基接口
     *
     * @param rootId
     * @param page
     * @param size
     * @return
     */
    public JSONObject queryOpenAPIMaterial(Integer rootId, Integer page, Integer size);
}
